from enum import Enum

import discord

class GenerationState(Enum):
    GENERATING = "generating"
    FINISHED = "finished"

class GenerationStateButton(discord.ui.Button):
    def __init__(self, label: str, style: discord.ButtonStyle, emoji: str | discord.Emoji | discord.PartialEmoji | None = None, disabled: bool=False):
        super().__init__(label=label, style=style, emoji=emoji, disabled=disabled)

class GenerationStateView(discord.ui.View):
    def __init__(self, state: GenerationState):
        super().__init__()
        self.state = state

        if state == GenerationState.GENERATING:
            self.add_item(GenerationStateButton(label="Generating...", style=discord.ButtonStyle.grey, emoji="✨", disabled=True))
        elif state == GenerationState.FINISHED:
            pass
